Booklinker.API

<back to all web services

PutAppleServicesSettingsRequest

Requires Authentication
The following routes are available for this service:
PUT/v2/settings/apple-services
PutAppleServicesSettingsRequest Parameters:
NameParameterData TypeRequiredDescription
SelectedOptionbodyAffiliateSettingsOptionNo
CustomTokenbodystringNo
AffiliateSettingsOption Enum:
NameValue
Nonenone
Customcustom
Booklinkerbooklinker
V2BaseResponse Parameters:
NameParameterData TypeRequiredDescription
ResponseStatusformResponseStatusNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

PUT /v2/settings/apple-services HTTP/1.1 
Host: api.booklinker.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"selectedOption":"none","customToken":"String"}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}